package com.fjs.scenic.mapper.order;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.order.PlayMan;


public interface PlayManMapper {

	int deleteByPrimaryKey(Integer id);

    int insert(PlayMan record);

    int insertSelective(PlayMan record);

    PlayMan selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PlayMan record);

    int updateByPrimaryKey(PlayMan record); 
    
    public void deleteByParam(Map<String, String> params);

    /**根据订单号查询游玩人列表*/
	List<PlayMan> getPlayMansByOrderId(@Param("orderId")Integer orderId);
	
	/**根据订单号删除游玩人列表*/
	int deleteByOrderId(@Param("orderId")Integer orderId);
	
}